local colors = require 'modules.setup.colors'
local settings = require 'modules.setup.settings'
local utils = require 'modules.setup.utils'

local stateslist = {}

stateslist.default = {}

-----------------------------------------------------------
-- enemy states
-----------------------------------------------------------
stateslist.moveRandom = {
  action = function(self)
    local directions = {
      {-1, 0},
      { 1, 0},
      { 0,-1},
      { 0, 1}
    }
    local dir = directions[love.math.random(1,4)]
    local x,y = self.x + dir[1], self.y + dir[2]
    Game:moveEntityTo(self, x, y)
  end
}

stateslist.sleep = {
  quadname = 'snoring',
  action = function(self)

  end
}

stateslist.moveTowardsPlayer = {
  action = function(self)
    local tx, ty = Game.player.x, Game.player.y
    local sx, sy = self.x, self.y
    local opts = {topology = 4}
    -- start passableCallback function
    local passableCallback = function(x,y)
      local tiles = Game.map.tiles
      local entities, len = Game:entitiesAt(x,y, function(e)
        return e.blocksMovement ~= true
      end)
      if (tiles[y] and tiles[y][x] == 0) and (len == 0) then
        return true
      else
        return false
      end
    end
    -- end passableCallback function
    local astar = ROT.Path.AStar(tx, ty, passableCallback, opts)
    local path = {}
    local astarCallback = function(x,y)
      local point = {x=x,y=y}
      table.insert(path, point)
    end
    astar:compute(self.x, self.y, astarCallback)
    local nextMove = path[2]
    if nextMove then
      Game:moveEntityTo(self, nextMove.x, nextMove.y)
    end
  end
}

return stateslist
