local colors = require 'modules.setup.colors'
local settings = require 'modules.setup.settings'
local utils = require 'modules.setup.utils'

local defaults = {
  visible = false,
  blocksMovement = false,
  isEnemy = false,
  isItem = true,
  zIndex = 5,
  autopickup = true
}

local gold = Class{__includes = {
  require 'modules.items.item',
  defaults
}}

function gold:init(x,y,args)
  local ts = settings.tilesize

  self.x = x or 1
  self.y = y or 1
  self.w = ts
  self.h = ts

  self.drawX = (self.x-1) * ts
  self.drawY = (self.y-1) * ts

  self.bg = colors.black
  self.fg = colors.yellow

  self.quadname = 'gold'
  self.name = 'Gold'
  self.type = 'Item'
  self.itemtype = 'Gold'
  self.isGold = true
  self.value = love.math.random(1,5)
  self.zIndex = 5

  utils.copy(self, args or {

  })
end

function gold:save()
  return {
    type = 'Item',
    subtype = 'Gold',
    x = self.x,
    y = self.y,
    args = {
      value = self.value
    }
  }
end

return gold
