local colors = require 'modules.setup.colors'
local settings = require 'modules.setup.settings'
local utils = require 'modules.setup.utils'

local levellist = {}

levellist[1] = {
  mapW = 40, mapH = 40,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 5, maxEnemies = 10,
  enemyProbabilities = {
    bat = 20,
    rat = 20,
    centipede = 20,
    snail = 20,
    goblin = 10,
    orc = 2,
    hand = 2,
    skeleton = 2,
    wisp = 2,
    imp = 2
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .1,
  itemProbabilities = {
    dagger = 10,
    sword = 10,
    staff = 10,
    key = 10,
    buckler = 10,
    cloak = 10,
    tunic = 10,
    mushroom = 30
  },
  doorProbability = .3
}
levellist[2] = {
  mapW = 40, mapH = 40,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 5, maxEnemies = 10,
  enemyProbabilities = {
    bat = 10,
    rat = 5,
    centipede = 10,
    snail = 5,
    goblin = 20,
    orc = 10,
    hand = 10,
    skeleton = 20,
    wisp = 5,
    imp = 5
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .2,
  itemProbabilities = {
    dagger = 10,
    handaxe = 10,
    staff = 10,
    key = 10,
    buckler = 10,
    cloak = 10,
    tunic = 10,
    mushroom = 30
  },
  doorProbability = .3
}
levellist[3] = {
  mapW = 50, mapH = 50,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 7, maxEnemies = 12,
  enemyProbabilities = {
    fox = 10,
    zombie = 10,
    hand = 10,
    skeleton = 10,
    skeletonknight = 10,
    lich = 10,
    wisp = 10,
    ghost = 10,
    imp = 10,
    fireimp = 5,
    mimic = 5,
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .3,
  itemProbabilities = {
    dagger = 10,
    spear = 10,
    club = 10,
    key = 10,
    buckler = 10,
    cloak = 10,
    tunic = 10,
    mushroom = 30
  },
  doorProbability = .2
}
levellist[4] = {
  mapW = 50, mapH = 50,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 7, maxEnemies = 12,
  enemyProbabilities = {
    fox = 5,
    zombie = 10,
    hand = 5,
    skeleton = 10,
    skeletonknight = 20,
    lich = 10,
    wisp = 5,
    ghost = 10,
    imp = 5,
    fireimp = 10,
    mimic = 10,
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    handaxe = 10,
    heavyshield = 10,
    leatherarmor = 10,
    metalhelmet = 10,
    metalarmor = 10,
    beer = 10,
    drumstick = 10,
    apple = 15,
    smallpotion = 5
  },
  doorProbability = .2
}
levellist[5] = {
  mapW = 50, mapH = 50,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 9, maxEnemies = 14,
  enemyProbabilities = {
    snake = 15,
    panther = 10,
    unicorn = 5,
    fox = 10,
    skeletonknight = 20,
    skeleton = 20,
    imp = 10,
    fireimp = 10
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    sword = 10,
    towershield = 10,
    cloak = 10,
    metalhelmet = 10,
    metalarmor = 10,
    beer = 15,
    drumstick = 10,
    smallpotion = 10,
    mediumpotion = 5
  },
  doorProbability = .2
}
levellist[6] = {
  mapW = 55, mapH = 55,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 10, maxEnemies = 15,
  enemyProbabilities = {
    golem = 10,
    robot = 10,
    spider = 15,
    scorpion = 10,
    panther = 10,
    bear = 10,
    unicorn = 5,
    cyclops = 10,
    troll = 10,
    ooze = 10
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    battleaxe = 10,
    spear = 10,
    hammer = 10,
    heavyshield = 10,
    towershield = 10,
    beer = 15,
    drumstick = 10,
    smallpotion = 10,
    mediumpotion = 10
  },
  doorProbability = .2
}
levellist[7] = {
  mapW = 55, mapH = 55,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 10, maxEnemies = 15,
  enemyProbabilities = {
    golem = 10,
    robot = 10,
    spider = 15,
    scorpion = 10,
    panther = 10,
    bear = 10,
    unicorn = 5,
    cyclops = 10,
    troll = 10,
    ooze = 10
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    battleaxe = 10,
    spear = 10,
    hammer = 10,
    heavyshield = 10,
    towershield = 10,
    beer = 15,
    drumstick = 10,
    mediumpotion = 10,
    largepotion = 10
  },
  doorProbability = .2
}
levellist[8] = {
  mapW = 55, mapH = 55,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 10, maxEnemies = 15,
  enemyProbabilities = {
    bear = 25,
    tentacles = 25,
    troll = 25,
    scorpion = 25
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    battleaxe = 10,
    spear = 10,
    hammer = 10,
    heavyshield = 10,
    towershield = 10,
    beer = 15,
    drumstick = 10,
    mediumpotion = 10,
    largepotion = 10
  },
  doorProbability = .2
}
levellist[9] = {
  mapW = 55, mapH = 55,
  mapGeneratorFunction = ROT.Map.Uniform,
  mapOptions = {},
  minEnemies = 1, maxEnemies = 3,
  enemyProbabilities = {
    dragon = 34,
    wyvern = 33,
    tentacles = 33
  },
  minItemLevel = 1, maxItemLevel = 5,
  minItems = 5, maxItems = 10,
  magicItemProbability = .5,
  itemProbabilities = {
    dagger = 10,
    sword = 10,
    staff = 10,
    key = 10,
    buckler = 10,
    cloak = 10,
    tunic = 10,
    mushroom = 30
  },
  doorProbability = .1
}
return levellist
