local function qq(x,y)
  local w, h, sw, sh = 16, 16, QualeTiles:getWidth(), QualeTiles:getHeight()
  return lg.newQuad(x,y,w,h,sw,sh)
end

QualeQuads = {
  -- characters
  man = qq(0,16),
  manarcher = qq(16,16),
  manknight = qq(32,16),
  manpriest = qq(48,16),
  manrogue = qq(64,16),
  manwizard = qq(80,16),
  mandruid = qq(96,16),
  king = qq(112,16),
  childboy = qq(128,16),
  dog = qq(114,16),
  manshouting = qq(160,16),
  manfat = qq(176,16),
  manoutline = qq(192,16),

  woman = qq(0,32),
  womanarcher = qq(32,32),
  womanknight = qq(32,32),
  womanpriest = qq(48,32),
  womanrogue = qq(64,32),
  womanwizard = qq(80,32),
  womandruid = qq(96,32),
  queen = qq(112,32),
  childgirl = qq(128,32),
  cat = qq(114,32),
  womanshouting = qq(160,32),
  womanfat = qq(176,32),
  womanoutline = qq(192,32),

  oldman = qq(0,48),
  maneyepatch = qq(16,48),
  helmetknight = qq(32,48),
  hoodedwizard = qq(48,48),
  hoodeddruid = qq(64,48),
  hoodedrogue = qq(80,48),
  mermaid = qq(96,48),

  -- expressions
  expressionneutral = qq(0,96),
  expressionsmug = qq(16,96),
  expressionhappy = qq(32,96),
  expressionsad = qq(48,96),
  expressionangry = qq(64,96),
  expressionupset = qq(80,96),
  expressionshouting = qq(96,96),
  expressionsly = qq(112,96),
  expressionstuffed = qq(128,96),
  expressionsleepy = qq(114,96),
  expressioneyepatch = qq(160,96),
  expressionglasses = qq(176,96),

  -- fauna
  rat = qq(0,144),
  bat = qq(16,144),
  centipede = qq(32,144),
  spider = qq(48,144),
  scorpion = qq(64,144),
  snail = qq(80,144),
  snake = qq(96,144),
  fox = qq(112,144),
  panther = qq(128,144),
  bear = qq(114,144),
  wyvern = qq(160,144),
  dragon = qq(176,144),
  unicorn = qq(192,144),

  -- trollkind
  goblin = qq(0,192),
  troll = qq(16,192),
  cyclops = qq(32,192),
  orc = qq(48,192),

  -- the unliving
  zombie = qq(0,240),
  hand = qq(16,240),
  skeleton = qq(32,240),
  skeletonknight = qq(48,240),
  lich = qq(64,240),
  ghost = qq(80,240),
  wisp = qq(96,240),
  cultist = qq(112,240),

  -- creatures
  ooze = qq(0,288),
  tentacles = qq(16,288),
  beholder = qq(32,288),
  imp = qq(48,288),
  fireimp = qq(64,288),
  mimic = qq(80,288),
  robot = qq(96,288),
  golem = qq(112,288),

  -- building
  bricks = qq(0,336),
  bricks2 = qq(16,336),
  bicks3 = qq(32,336),
  stonesparse = qq(48,336),
  stonemedium = qq(64,336),
  stonedense = qq(80,336),
  floortilesquare = qq(96,336),
  floortilecheckered = qq(112,336),
  floortilepyramid = qq(128,336),
  floortilerectangle = qq(114,336),
  stairsdown = qq(160,336),
  stairsup = qq(176,336),
  doorclosed = qq(192,336),
  dooropen = qq(208,336),
  brazier = qq(224,336),
  fountain = qq(240,336),

  tombstone = qq(0,352),
  signpost = qq(16,352),
  chair = qq(32,352),
  desk = qq(48,352),
  bookshelf = qq(64,352),
  table = qq(80,352),
  bed = qq(96,352),

  wallhoriz = qq(0,368),
  wallvert = qq(16,368),
  wallverthalf = qq(32,368),
  wallse = qq(48,368),
  wallsw = qq(64,368),
  wallne= qq(80,368),
  wallnw = qq(96,368),
  wallverte = qq(112,368),
  wallvertw = qq(128,368),
  wallhorizs = qq(114,368),
  wallhorizn = qq(160,368),
  wallfourway = qq(176,368),

  -- traps and devices
  net = qq(0,416),
  spiderweb = qq(16,416),
  trapopen = qq(32,416),
  trapclosed = qq(48,416),
  floorspikes = qq(64,416),
  floorspikessquare = qq(80,416),
  floorgrate = qq(96,416),
  floorpittrap = qq(112,416),
  floorbutton = qq(128,416),
  floorbuttonpressed = qq(114,416),
  switchleft = qq(160,416),
  switchright = qq(176,416),

  -- overworld
  grass = qq(0,464),
  pebbles = qq(16,464),
  tinyflower = qq(32,464),
  tree = qq(48,464),
  treepine = qq(64,464),
  treedead = qq(80,464),
  water = qq(96,464),
  boulders = qq(112,464),
  caveentrance = qq(128,464),
  house = qq(114,464),
  castle = qq(160,464),
  oxcart = qq(176,464),
  ship = qq(192,464),

  -- exploration
  torch = qq(0,512),
  lantern = qq(16,512),
  shovel = qq(32,512),
  pickaxe = qq(48,512),
  rope = qq(64,512),
  bomb = qq(80,512),
  chestclosed = qq(96,512),
  chestopen = qq(112,512),
  pot = qq(128,512),
  potbroken = qq(114,512),
  key = qq(160,512),
  keyfancy = qq(176,512),
  goldbag = qq(192,512),
  gold = qq(208,512),
  crystal = qq(224,512),
  rupee = qq(240,512),

  gem = qq(0,528),
  skullandbones = qq(16,528),
  bone = qq(32,528),
  fossil = qq(48,528),
  dinosaurskull = qq(64,528),

  -- food and drink
  drumstick = qq(0,576),
  steak = qq(16,576),
  kebab = qq(32,576),
  fish = qq(48,576),
  eyeball = qq(64,576),
  bread = qq(80,576),
  egg = qq(96,576),
  cheese = qq(112,576),
  apple = qq(128,576),
  pumpkin = qq(114,576),
  beet = qq(160,576),
  leaf = qq(176,576),
  flower = qq(192,576),
  mushroom = qq(208,576),
  candy = qq(224,576),
  muffin = qq(240,576),

  beer = qq(0,592),
  barrel = qq(16,592),
  urn = qq(32,592),
  potionsmall = qq(48,592),
  potionmedium = qq(64,592),
  potionlarge = qq(80,592),

  -- outfit
  dagger = qq(0,640),
  sword = qq(16,640),
  axe = qq(32,640),
  spear = qq(48,640),
  staff = qq(64,640),
  club = qq(80,640),
  hammer = qq(96,640),
  buckler = qq(112,640),
  towershield = qq(128,640),
  bow = qq(114,640),
  arrows = qq(160,640),
  leatherhelmet = qq(176,640),
  metalhelmet = qq(192,640),
  wizardhat = qq(208,640),
  gloves = qq(224,640),
  bracers = qq(240,640),

  boots = qq(0,656),
  pants = qq(16,656),
  belt = qq(32,656),
  tunic = qq(48,656),
  leatherarmor = qq(64,656),
  metalarmor = qq(80,656),
  cloak = qq(96,656),
  ring = qq(112,656),
  amulet = qq(128,656),
  crown = qq(144,656),
  glasses = qq(160,656),

  -- magick
  woodenwand = qq(0,704),
  gemwand = qq(16,704),
  skullwand = qq(32,704),
  crystalball = qq(48,704),
  ankh = qq(64,704),
  skull = qq(80,704),
  scroll = qq(96,704),
  scroll2 = qq(112,704),
  book = qq(128,704),
  altar = qq(114,704),
  cauldron = qq(160,704),
  glyphspiral = qq(176,704),
  glyphcross = qq(192,704),
  glyphhand = qq(208,704),
  glyphmoon = qq(224,704),

  -- music
  lute = qq(0,752),
  harp = qq(16,752),
  pipes = qq(32,752),
  bell = qq(48,752),
  xylophone = qq(64,752),
  drum = qq(80,752),

  -- symbols
  ampersand = qq(0,800),
  arrownorth = qq(16,800),
  arrownortheast = qq(32,800),
  plussign = qq(48,800),
  cross = qq(64,800),
  heart = qq(80,800),
  star = qq(96,800),
  sun = qq(112,800),
  moon = qq(128,800),
  target = qq(114,800),
  caution = qq(160,800),
  musicnote = qq(176,800),
  fire = qq(192,800),
  snow = qq(208,800),
  waterdrop = qq(224,800),
  lightning = qq(240,800),

  spiral = qq(0,816),
  bubbles = qq(16,816),
  snoring = qq(32,816),
  skullsymbol = qq(48,816),
  crossedswords = qq(64,816),
  shieldsymbol = qq(80,816),
  hourglass = qq(96,816),
  unknown = qq(112,816),

-----------------------------------------------------------
-- legacy stuff
-----------------------------------------------------------
  hash = qq(0,336),
  dot = qq(112,352),
  enemy = qq(16,192),
}
