local settings = require 'modules.setup.settings'
local colors = require 'modules.setup.colors'
local tile = Class{}

function tile:init(quad, x, y, fg, bg)
  self.x = x
  self.y = y
  self.fg = fg or colors.white
  self.bg = bg or colors.transparent
  self.w = settings.tilesize
  self.h = settings.tilesize
  self.quadname = quad
  self.name = 'Tile'
  self.visible = true
end

function tile:draw()
  if self.visible then
    local ts = settings.tilesize
    local x, y, w, h = self.x * ts, self.y * ts, self.w, self.h
    lg.setColor(self.bg)
    lg.rectangle('fill', x, y, w, h)
    lg.setColor(self.fg)
    lg.draw(QualeTiles, QualeQuads[self.quadname], x, y)
    lg.setColor(colors.white)
  end
end

return tile
