local colors = require 'modules.setup.colors'
local settings = require 'modules.setup.settings'
local utils = require 'modules.setup.utils'

local titlemenu = Class {__includes = {
  require 'modules.ui.menu',
  defaults
}}

-----------------------------------------------------------
-- Init
-----------------------------------------------------------
function titlemenu:init()
  self.options = {
    'New Game',
    'Options',
    'Exit Game'
  }
  self:onSelect(function(option)
    local bindings = {
      ['Continue'] = function() Gamestate.switch(Game, true) end,
      ['New Game'] = function() Gamestate.switch(Game, false) end,
      ['Options'] = function() Gamestate.switch(Options) end,
      ['Exit Game'] = function() le.quit() end
    }
    local action = bindings[option]
    if action then action() end
  end)
end

-----------------------------------------------------------
-- Update
-----------------------------------------------------------
function titlemenu:update(dt)

end

-----------------------------------------------------------
-- Drawing
-----------------------------------------------------------
function titlemenu:draw()
  -- can be overwritten on a per-instance basis
  self:defaultDraw()

end

return titlemenu
