local colors = require 'modules.setup.colors'
local utils = require 'modules.setup.utils'
local settings = require 'modules.setup.settings'
local defaults = {
  x = 0,
  y = 0,
  color = colors.white,
  bgColor = colors.black,
  text = nil,
  visible = true,
  centerToScreen = false
}

local text = Class{__includes = {
  defaults
}}

function text:init(args)
  self.font = QualeFont
  -- copy args to self:
  utils.copy(self, args)
  local temp = lg.newText(self.font, self.text)
  if self.centerToScreen then
    temp:setf(self.text, settings.pxWidth, 'left')
    self.w, self.h = temp:getDimensions()
    self.x = (settings.pxWidth - self.w) / 2
    self.y = (settings.pxHeight - self.h) / 2
    self.align = 'left'
    self.limit = settings.pxWidth
  end
end

function text:draw()
  if self.text ~= nil and self.visible then
    local x, y, w, h = self.x, self.y, self.w, self.h
    -- background color
    if self.bgColor ~= nil then
      lg.setColor(self.bgColor)
      lg.rectangle('fill', x, y, w, h)
    end

    -- text
    lg.setFont(self.font)
    lg.setColor(self.color)
    if self.align and self.limit then
      lg.printf(self.text, x, y, self.limit, self.align)
    else
      lg.print(self.text, x, y)
    end
  end
  lg.setColor(colors.white)
end

return text
