local settings = require 'modules.setup.settings'
local colors = require 'modules.setup.colors'
local optionsmenu = require 'modules.ui.menus.optionsmenu'

Options = {}
-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function Options:init()
  self.smallCanvas = lg.newCanvas(settings.pxWidth, settings.pxHeight)
  self.menu = optionsmenu()
end

function Options:enter()
  self.menu.selection = 0
end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function Options:update(dt)

end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function Options:draw()
  self:preDraw()
  lg.setColor(colors.white)
  self.menu:draw()
  self:postDraw()
end

function Options:preDraw()
  lg.setCanvas(self.smallCanvas)
  lg.clear(colors.black)
  lg.setColor({255,255,255})
  lg.push()
end

function Options:postDraw()
  lg.pop()
  lg.setCanvas()
  lg.draw(self.smallCanvas, 0, 0, 0, GscaleX, GscaleY)
end

-----------------------------------------------------------
-- Input functions
-----------------------------------------------------------

function Options:keypressed(key, code)
  local menu = self.menu

  local keys = {
    w =           'decrement',
    up =          'decrement',
    s =           'increment',
    down =        'increment',
    ['return'] =  'select'
  }

  local bindings = {
    decrement = function() menu:decrement() end,
    increment = function() menu:increment() end,
    select = function() menu:select() end
  }

  local func = keys[key]
  local action = bindings[func]
  if action then action() end
end
