local settings = require 'modules.setup.settings'
local colors = require 'modules.setup.colors'

TitleScreen = {}
-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function TitleScreen:init()
  self.smallCanvas = lg.newCanvas(settings.pxWidth, settings.pxHeight)
  self.image = lg.newImage('images/title-logo.png')
  self.ipos = {
    x = 64, y = 48
  }
  self.abouttext = [[
by Neil Makes Games
neilmakesgames.tumblr.com]]
  self.starttext = 'Press [ENTER] to begin'

  local up, down

  down = function() Timer.tween(1, self.ipos, {y=52}, 'in-out-quad', up) end
  up = function() Timer.tween(1, self.ipos, {y=48}, 'in-out-quad', down) end
  down()
end

function TitleScreen:enter()

end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function TitleScreen:update(dt)

end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function TitleScreen:draw()
  self:preDraw()
  lg.setColor(colors.white)
  lg.draw(self.image, self.ipos.x, self.ipos.y)
  lg.printf(self.abouttext, 0, 160, settings.pxWidth, 'center')

  if os.time() % 2 == 0 then
    lg.printf(self.starttext, 0, 208, settings.pxWidth, 'center')
  end
  self:postDraw()
end

function TitleScreen:preDraw()
  lg.setCanvas(self.smallCanvas)
  lg.clear(colors.black)
  lg.setColor({255,255,255})
  lg.push()
end

function TitleScreen:postDraw()
  lg.pop()
  lg.setCanvas()
  lg.draw(self.smallCanvas, 0, 0, 0, GscaleX, GscaleY)
end

-----------------------------------------------------------
-- Input functions
-----------------------------------------------------------

function TitleScreen:keypressed(key, code)
  if key == 'return' then
    Gamestate.switch(MainMenu)
  end
end
