local settings = require 'modules.setup.settings'
local colors = require 'modules.setup.colors'

WinGame = {}
-----------------------------------------------------------
-- Init functions
-----------------------------------------------------------
function WinGame:init()
  self.smallCanvas = lg.newCanvas(settings.pxWidth, settings.pxHeight)
  self.text = [[


CONGRATULATIONS!

You have escaped the Dungeon of Flowers!

Thank you for playing!

Press [ENTER] to return to the menu
]]
end

function WinGame:enter()
  -- delete save file:
  if lf.exists(settings.savefilename) then
    lf.remove(settings.savefilename)
  end
end

-----------------------------------------------------------
-- Update functions
-----------------------------------------------------------
function WinGame:update(dt)

end

-----------------------------------------------------------
-- Draw functions
-----------------------------------------------------------
function WinGame:draw()
  self:preDraw()
  lg.setColor(colors.white)
  lg.printf(self.text, 0, 0, settings.pxWidth, 'center')
  self:postDraw()
end

function WinGame:preDraw()
  lg.setCanvas(self.smallCanvas)
  lg.clear(colors.black)
  lg.setColor({255,255,255})
  lg.push()
end

function WinGame:postDraw()
  lg.pop()
  lg.setCanvas()
  lg.draw(self.smallCanvas, 0, 0, 0, GscaleX, GscaleY)
end

-----------------------------------------------------------
-- Input functions
-----------------------------------------------------------

function WinGame:keypressed(key, code)
  if key == 'return' then
    Gamestate.switch(MainMenu)
  end
end
